#include <stdio.h>

void print_hello(void)
{
	printf("Hello\n");
}

void print_arg(char* name);

int main(int argc, char* argv[])
{
	if (argc > 1)
	{
		print_arg(argv[1]);
	}
	else
	{
		print_hello();
	}

	return 0;
}

void print_arg(char* name)
{
	printf("Hello %s!\n", name);
}
